Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 166035 - Provide an easy method to format encrypted volumes
Summary: Provide an easy method to format encrypted volumes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On: 181035
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-08-16 02:08 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-13 21:55:33 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2005-08-16 02:08:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.10) Gecko/20050720 Epiphany/1.7.2

Description of problem:
The luks-tools package [1] is an additional utility layer for dm-crypt/cryptsetup-luks.  The package was started to help implement David Zeuthen's vision for encrypted disk support in HAL [2].  The most important components of the package are (1) gnome-luks-format, a graphical encrypted filesystem formatting tool, and (2) luks-setup, which sets up a dm-crypt/LUKS device in a way that HAL can identify.

These tools are in need of a home, and David Zeuthen recommended distributing them with the cryptsetup-luks package.

[3] contains more information about this effort, including a status of its components.  Bug #152946 documents the other component that requires attention from Red Hat and provides a patch for gnome-volume-manager.

[1] http://www.flyn.org/projects/luks-tools/index.html
[2] http://lists.freedesktop.org/archives/hal/2004-December/001423.html
[3] http://www.flyn.org/easycrypto/easycrypto.html

Version-Release number of selected component (if applicable):
cryptsetup-luks-1.0.1-1

How reproducible:
Always

Steps to Reproduce:
See description.
  

Additional info:

Comment 1 Rahul Sundaram 2005-08-16 10:43:40 UTC

Thank for you the report

Setting severity to enhancement. Marking #152946 as related. Changing status to
assigned

Comment 2 W. Michael Petullo 2006-02-11 23:17:19 UTC
As an alternative, we could simply add the luks-tools package to Fedora Extras.
 See bug #181035.

Comment 3 W. Michael Petullo 2006-09-13 21:55:33 UTC
The luks-tools package has been accepted into Fedora Extras.


Note You need to log in before you can comment on or make changes to this bug.